Customer Reviews

Add, edit, and delete anything related to customer reviews.

CustomerReview

review_id
integer

The unique review ID.

product_id
integer

The product this review applies to.

user_id
integer

The user, if applicable, that posted this review. Use 0 for no user connection (or guest).

approved
boolean

If true, this is approved and shows on the store.

rating
integer

The rating (1-5) of the review.

title
string

The review title by the customer.

review_description
string

The content of the review.

date_submitted
string

The timestamp of when the review was submitted.

reviewer_name
string

The name entered for the reviewer (if applicable).

{
  • "review_id": 0,
  • "product_id": 0,
  • "user_id": 0,
  • "approved": true,
  • "rating": 0,
  • "title": "string",
  • "review_description": "string",
  • "date_submitted": "string",
  • "reviewer_name": "string"
}

Gets a list of customer reviews

This allows you to get a list of customer reviews

SecuritybearerAuth or basicAuth
Request
query Parameters
page
integer <int64>

Page number starting at 1

perpage
integer <int64>

Number of items per page

sortby
string

Sort results by term

sortdir
string

Sort results ASC or DESC

product_id
integer <int64>

Filter by product ID

user_id
integer <int64>

Filter by user ID

search
string

Filter customer reviews by a search term

dateStart
string

Filter customer reviews by a start date, formatted in yyyy-mm-dd

dateEnd
string

Filter customer reviews by a end date, formatted in yyyy-mm-dd

Responses
200

Successful operation

400

Unauthorized

get/customer-reviews
Request samples
Response samples
application/json
[
  • {
    }
]

Add a customer review

This allows you to add a new customer review

SecuritybearerAuth
Request
Request Body schema: application/json
required

Submit any or all elements to add a new customer review.

product_id
required
integer

The product this review applies to.

user_id
integer

The user, if applicable, that posted this review. Use 0 for no user connection (or guest).

approved
boolean

If true, this is approved and shows on the store.

rating
integer

The rating (1-5) of the review.

title
required
string

The review title by the customer.

review_description
string

The content of the review.

date_submitted
string

The timestamp of when the review was submitted.

reviewer_name
string

The name entered for the reviewer (if applicable).

Responses
200

Successful operation

400

Unauthorized

post/customer-reviews
Request samples
application/json
{
  • "product_id": 0,
  • "user_id": 0,
  • "approved": true,
  • "rating": 0,
  • "title": "string",
  • "review_description": "string",
  • "date_submitted": "string",
  • "reviewer_name": "string"
}
Response samples
application/json
{
  • "review_id": 0,
  • "product_id": 0,
  • "user_id": 0,
  • "approved": true,
  • "rating": 0,
  • "title": "string",
  • "review_description": "string",
  • "date_submitted": "string",
  • "reviewer_name": "string"
}

Gets a customer review by ID

This allows you to get a customer review from your store by review ID

SecuritybearerAuth or basicAuth
Request
path Parameters
review_id
required
integer <int64>

Review ID

Responses
200

Successful operation

400

Unauthorized

get/customer-reviews/{review_id}
Request samples
Response samples
application/json
{
  • "review_id": 0,
  • "product_id": 0,
  • "user_id": 0,
  • "approved": true,
  • "rating": 0,
  • "title": "string",
  • "review_description": "string",
  • "date_submitted": "string",
  • "reviewer_name": "string"
}

Updates a customer review by ID

This allows you to update a customer review

SecuritybearerAuth
Request
path Parameters
review_id
required
integer <int64>

Review ID

Request Body schema: application/json
required

Submit any or all elements to update the customer review.

product_id
integer

The product this review applies to.

user_id
integer

The user, if applicable, that posted this review. Use 0 for no user connection (or guest).

approved
boolean

If true, this is approved and shows on the store.

rating
integer

The rating (1-5) of the review.

title
string

The review title by the customer.

review_description
string

The content of the review.

date_submitted
string

The timestamp of when the review was submitted.

reviewer_name
string

The name entered for the reviewer (if applicable).

Responses
200

Successful operation

400

Unauthorized

patch/customer-reviews/{review_id}
Request samples
application/json
{
  • "product_id": 0,
  • "user_id": 0,
  • "approved": true,
  • "rating": 0,
  • "title": "string",
  • "review_description": "string",
  • "date_submitted": "string",
  • "reviewer_name": "string"
}
Response samples
application/json
{
  • "review_id": 0,
  • "product_id": 0,
  • "user_id": 0,
  • "approved": true,
  • "rating": 0,
  • "title": "string",
  • "review_description": "string",
  • "date_submitted": "string",
  • "reviewer_name": "string"
}

Deletes a customer review by ID

This allows you to delete a customer review from your store

SecuritybearerAuth
Request
path Parameters
review_id
required
integer <int64>

Review ID

Responses
200

Successful operation

400

Unauthorized

delete/customer-reviews/{review_id}
Request samples
Response samples
application/json
{
  • "review_id": 0,
  • "product_id": 0,
  • "user_id": 0,
  • "approved": true,
  • "rating": 0,
  • "title": "string",
  • "review_description": "string",
  • "date_submitted": "string",
  • "reviewer_name": "string"
}